/* @author Oliver Mezger 
 * @version 12.11.03
 */
import java.awt.*; // die ntigen Komponenten mssen importiert werden
import java.awt.event.*;

public class FrameClass extends Frame{               // unsere FrameClass erweitert Frame (Vererbung)
 
  public FrameClass(String title){                   // Konstruktor der Klasse
	    super (title);                                  // den Konstruktor der Elternklasse Frame aufrufen
     System.out.println("Konstruktor aufgerufen!");
	    add ("North", new Button ("Hello World Button"));
	    setSize (250,150);                              // die Grsse des Frames setzen
	    setVisible(true);                               // der Frame soll sichtbar sein
     addWindowListener(new WindowAdapter(){          // Objekt soll beendet werden knnen
       public void windowClosing(WindowEvent e) {
         System.exit(0);
       }
     }); 
  }
  public void paint(Graphics g){ // diese Methode wird immer aufgerufen wenn gezeichnet werden soll
    g.setColor(Color.yellow);
    g.fillRect(20, 70, 200, 50);
    g.setColor(Color.black);
    g.drawString("Sample AWT-Frame", 50, 100);
  }
  public static void main(String[] args){            // Startfunktion 
	    System.out.println("main aufgerufen!");
	    new FrameClass("Banane");                       // Objekt erzeugen
	    System.out.println("FrameClass Objekt erzeugt!");
	    System.out.println("main am Ende!");
  }    
}